## org.eclipse.e4.xwt.input
Enum MouseAction

    java.lang.Object
      java.lang.Enum<MouseAction>
          org.eclipse.e4.xwt.input.MouseAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MouseAction>

    public enum MouseAction

extends java.lang.Enum<MouseAction>

Enum Constant Summary
`LeftClick`
`LeftDoubleClick`
`MiddleClick`
`MiddleDoubleClick`
`None`
`RightClick`
`RightDoubleClick`
`WheelClick`

Method Summary
`static MouseAction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MouseAction[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final MouseAction None

### LeftClick

    public static final MouseAction LeftClick

### RightClick

    public static final MouseAction RightClick

### MiddleClick

    public static final MouseAction MiddleClick

### WheelClick

    public static final MouseAction WheelClick

### LeftDoubleClick

    public static final MouseAction LeftDoubleClick

### RightDoubleClick

    public static final MouseAction RightDoubleClick

### MiddleDoubleClick

    public static final MouseAction MiddleDoubleClick

Method Detail

### values

    public static final MouseAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MouseAction c : MouseAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MouseAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name